Loading...
Searching...
No Matches
BALL::VIEW::SnapshotVisualisationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/snapShotVisualisation.h>`

Inheritance diagram for BALL::VIEW::SnapshotVisualisationDialog:

## Public Slots

void | show ()
virtual void | firstSnapshotClicked ()
| Function to select the analogous Snapshot.
virtual void | oneForwardClicked ()
| Function to select the analogous Snapshot.
virtual void | oneBackwardClicked ()
| Function to select the analogous Snapshot.
virtual void | tenForwardClicked ()
| Function to select the analogous Snapshot.
virtual void | tenBackwardClicked ()
| Function to select the analogous Snapshot.
virtual void | hundredForwardClicked ()
| Function to select the analogous Snapshot.
virtual void | hundredBackwardClicked ()
| Function to select the analogous Snapshot.
virtual void | lastSnapshotClicked ()
| Function to select the analogous Snapshot.
virtual void | animateClicked ()
| Function to select the analogous Snapshot.
virtual void | snapShotInputTest ()
| test wether input in line edits startSnapshot or endSnapshot are valid
virtual void | sliderMovedToPos ()
virtual void | animationSpeedChanged ()
virtual void | checkNoLoop ()
virtual void | checkLoop ()
virtual void | checkRock ()
void | cancelPressed ()

## Public Member Functions

| SnapshotVisualisationDialog (QWidget *parent=0, const char *name="SnapshotVisualisationDialog")
| Constructor.
| ~SnapshotVisualisationDialog ()
| Destructor.
void | setSnapShotManager (SnapShotManager *snapshot_manager)
| This function sets the SnapShotManager.
const SnapShotManager * | getSnapShotManager ()
| This function gets the SnapShotManager.
Size | getStartSnapshot () const
Size | getEndSnapshot () const
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Slots

void | sliderDragStarted_ ()
void | sliderDragEnded_ ()

## Protected Member Functions

void | stop_ ()
virtual void | closeEvent (QCloseEvent *)
void | update_ ()
void | forward (Size nr)
void | backward (Size nr)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

MainControl * | main_control_
QString | tmp_
SnapShotManager * | snap_shot_manager_
bool | error_
bool | cancel_
bool | animation_running_
bool | drag_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog to visualise SnapShot instances

See also
  SnapShotManager
  SnapShot

Definition at line 28 of file snapShotVisualisation.h.

## Constructor & Destructor Documentation

## SnapshotVisualisationDialog()

BALL::VIEW::SnapshotVisualisationDialog::SnapshotVisualisationDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "SnapshotVisualisationDialog" )

Constructor.

## ~SnapshotVisualisationDialog()

BALL::VIEW::SnapshotVisualisationDialog::~SnapshotVisualisationDialog | ( |  | ) |

Destructor.

## Member Function Documentation

## animateClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::animateClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## animationSpeedChanged

virtual void BALL::VIEW::SnapshotVisualisationDialog::animationSpeedChanged | ( |  | ) |

virtual slot

## backward()

void BALL::VIEW::SnapshotVisualisationDialog::backward | ( | Size | nr | ) |

protected

## cancelPressed

void BALL::VIEW::SnapshotVisualisationDialog::cancelPressed | ( |  | ) |

slot

## checkLoop

virtual void BALL::VIEW::SnapshotVisualisationDialog::checkLoop | ( |  | ) |

virtual slot

## checkNoLoop

virtual void BALL::VIEW::SnapshotVisualisationDialog::checkNoLoop | ( |  | ) |

virtual slot

## checkRock

virtual void BALL::VIEW::SnapshotVisualisationDialog::checkRock | ( |  | ) |

virtual slot

## closeEvent()

virtual void BALL::VIEW::SnapshotVisualisationDialog::closeEvent | ( | QCloseEvent * |  | ) |

protected virtual

## firstSnapshotClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::firstSnapshotClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## forward()

void BALL::VIEW::SnapshotVisualisationDialog::forward | ( | Size | nr | ) |

protected

## getEndSnapshot()

Size BALL::VIEW::SnapshotVisualisationDialog::getEndSnapshot | ( |  | ) | const

## getSnapShotManager()

const SnapShotManager * BALL::VIEW::SnapshotVisualisationDialog::getSnapShotManager | ( |  | ) |

inline

This function gets the SnapShotManager.

Definition at line 49 of file snapShotVisualisation.h.

## getStartSnapshot()

Size BALL::VIEW::SnapshotVisualisationDialog::getStartSnapshot | ( |  | ) | const

## hundredBackwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::hundredBackwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## hundredForwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::hundredForwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## lastSnapshotClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::lastSnapshotClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## oneBackwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::oneBackwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## oneForwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::oneForwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## setSnapShotManager()

void BALL::VIEW::SnapshotVisualisationDialog::setSnapShotManager | ( | SnapShotManager * | snapshot_manager | ) |

This function sets the SnapShotManager.

## show

void BALL::VIEW::SnapshotVisualisationDialog::show | ( |  | ) |

slot

## sliderDragEnded_

void BALL::VIEW::SnapshotVisualisationDialog::sliderDragEnded_ | ( |  | ) |

protected slot

## sliderDragStarted_

void BALL::VIEW::SnapshotVisualisationDialog::sliderDragStarted_ | ( |  | ) |

protected slot

## sliderMovedToPos

virtual void BALL::VIEW::SnapshotVisualisationDialog::sliderMovedToPos | ( |  | ) |

virtual slot

## snapShotInputTest

virtual void BALL::VIEW::SnapshotVisualisationDialog::snapShotInputTest | ( |  | ) |

virtual slot

test wether input in line edits startSnapshot or endSnapshot are valid

## stop_()

void BALL::VIEW::SnapshotVisualisationDialog::stop_ | ( |  | ) |

protected

## tenBackwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::tenBackwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## tenForwardClicked

virtual void BALL::VIEW::SnapshotVisualisationDialog::tenForwardClicked | ( |  | ) |

virtual slot

Function to select the analogous Snapshot.

## update_()

void BALL::VIEW::SnapshotVisualisationDialog::update_ | ( |  | ) |

protected

## Member Data Documentation

## animation_running_

bool BALL::VIEW::SnapshotVisualisationDialog::animation_running_

protected

Definition at line 128 of file snapShotVisualisation.h.

## cancel_

bool BALL::VIEW::SnapshotVisualisationDialog::cancel_

protected

Definition at line 127 of file snapShotVisualisation.h.

## drag_

bool BALL::VIEW::SnapshotVisualisationDialog::drag_

protected

Definition at line 129 of file snapShotVisualisation.h.

## error_

bool BALL::VIEW::SnapshotVisualisationDialog::error_

protected

Definition at line 126 of file snapShotVisualisation.h.

## main_control_

MainControl* BALL::VIEW::SnapshotVisualisationDialog::main_control_

protected

Definition at line 123 of file snapShotVisualisation.h.

## snap_shot_manager_

SnapShotManager* BALL::VIEW::SnapshotVisualisationDialog::snap_shot_manager_

protected

Definition at line 125 of file snapShotVisualisation.h.

## tmp_

QString BALL::VIEW::SnapshotVisualisationDialog::tmp_

protected

Definition at line 124 of file snapShotVisualisation.h.